> For the complete documentation index, see [llms.txt](https://docs.specsolutions.eu/specsync/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specsolutions.eu/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-attachments.md).

# attachments

This configuration section contains settings to allow attaching files to Test Cases during synchronization using tags.

Read more about attaching files to Test Cases in the [Attach files to Test Cases using tags](/specsync/features/push-features/attach-files.md) page.

The following example shows the available options within this sub-section.

```javascript
{
  ...
  "synchronization": {
    ...
    "attachments": {
      "enabled": true,
      "tagPrefixes": [
        "wireframe",
        "specification"
      ],
      "baseFolder": "resources/files"
    },
    ...
  },
  ...
}
```

## Settings

| Setting       | Description                                                                                                                 | Default                         |
| ------------- | --------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| `enabled`     | Specifies whether SpecSync should scan the `@attachment:...` tag or other specified tags to attach files to the Test Cases. | `false`                         |
| `tagPrefixes` | Specifies custom tag prefixes to be used for attachments.                                                                   | `attachment` prefix is used     |
| `baseFolder`  | Specifies the base folder for the attached files.                                                                           | uses the folder of feature file |

{% content-ref url="/pages/-LVwFCLmwNCOYz1dKMTr" %}
[synchronization](/specsync/reference/configuration/configuration-synchronization.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LVwFCLiKB3ACJLwVZGP" %}
[Configuration reference](/specsync/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-attachments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
